%define name vips
%define version 7.10.10
%define release 2mdk

%define lib_major 10
%define lib_name  %mklibname %{name} %{lib_major}
%define lib_name_orig lib%{name}

Summary: VIPS is a free image processing system
Name: %{name}
Version: %{version}
Release: %{release}
License: LGPL
Group: Video
URL: http://www.vips.ecs.soton.ac.uk/index.php
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: glib2-devel pango-devel
BuildRequires: libpng-devel libjpeg-devel libtiff-devel
BuildRequires: fftw3-devel zlib-devel 
BuildConflicts: %{_lib}graphviz7 libMagick-devel

%description
VIPS is a free image processing system. It aims to be about half-way between
Photoshop and Excel: it is very bad at retouching photographs, but very handy 
for the many other imaging tasks that programs like Photoshop get used for. 
It is good with large images (images larger than the amount of RAM in your 
machine), and for working with colour.

%package -n %{lib_name}
Summary:        Main library for vips
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with vips.

%package -n %{lib_name}-devel
Summary:        VIPS devel files
Group:          Development/Other
Provides:       %{lib_name_orig}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use vips.

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -fr $RPM_BUILD_ROOT/%{_datadir}/locale/malkovich
%find_lang %{name}7

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}7.lang
%defattr(-,root,root,-)
%doc README COPYING AUTHORS NEWS TODO
%{_bindir}/*
%{_datadir}/%{name}

%files -n %{lib_name}
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root,-)
%{_libdir}/libvips*.so
%defattr(644,root,root,755)
%{_includedir}/*
%{_libdir}/libvips*.a
%{_libdir}/libvips*.la
%doc %{_defaultdocdir}/%{name}
%{_libdir}/pkgconfig/*
%{_mandir}/man?/*

%changelog
* Sun Jul 17 2005 Couriousous <couriousous@mandriva.org> 7.10.10-2mdk
- Buildconflict with ImageMagick and graphviz

* Sun Jul 17 2005 Couriousous <couriousous@mandriva.org> 7.10.10-1mdk
- From: trem <trem@zarb.org> 
	- Initial build.
